Subject: Re: [PATCH] phy: export phy_mii_ioctl

From: Domen Puncer <[email-masked]>
Date: Tue, 18 Sep 2007 17:16:22 +0200

(I edited Cc: -jeff, +sven, hope you don't mind)

On 17/09/07 18:08 -0400, Jon Smirl wrote:
> On 9/17/07, Domen Puncer <[email-masked]> wrote:
> > Export phy_mii_ioctl, so network drivers can use it when built
> > as modules too.
> 
> Domen, do you want to collect all of these changes for MPC5200 FEC in
> to a single patch series? The code is getting scattered around, I'll
> check it over to make sure it is all working. I have these patches
> applied individually and they all work.
> 
> It builds on this series:
> [PATCH 0/7] MPC52xx Bestcomm submission for 2.6.24
> 
> If you can put this together is a clean series, I should be able to
> layer support for the Phytec pcm030 on top of it.
> 
> It would be these three combined...
> 
> http://coderock.org/tmp/fec-v3rc1/

http://coderock.org/tmp/fec-v3rc2/
 export_phy_mii_ioctl    
 fec_driver-bestcomm     
 fec_driver-dts          
 fec_driver-fec
 fec_driver-phy     

Built (on top of 7 bestcomm patches) and ran it built-in and as module
on Efika.

Order of applying only matters for phy part, which has to be after
the fec driver.

More testing and getting it to work properly on Phytec pcm030 would
be great.

	Domen